services:
  app.listener.entity.order_listener:
    class: App\Listener\Entity\OrderListener
    tags:
      - { name: doctrine.orm.entity_listener, entity: App\Entity\Order\Order, event: prePersist, lazy: true, priority: -500}
    arguments:
      ['@App\Service\Order\NumberGenerator']